<?php
function gedung_styles_method() {	

	wp_enqueue_style(
	'gedung-custom-style',
	get_template_directory_uri() . '/css/custom-style.css'
	);

	/*acf hero page*/
	if(class_exists('acf')) {
	
	}

	/*theme options*/
	if ( class_exists( 'Redux' )) {
	$options				= get_option('gedung_framework');
	$gedung_bordered_title	= $options['bordered_title'];

	$gedung_loader_size = $options['loader_size'];
	$gedung_loader_w = '';
	if(!empty($gedung_loader_size["width"])){
		$gedung_loader_w	= $options['loader_size']["width"];
	}
	$gedung_loader_h = '';
	if(!empty($gedung_loader_size["height"])){
		$gedung_loader_h	= $options['loader_size']["height"];
	}

	$gedung_header_mob_bg_def	= $options['header_mob_bg_def'];
	$gedung_header_mob_bg_alt	= $options['header_mob_bg_alt'];

	$gedung_bordered_width = '0px';
	$gedung_bordered_width_c	= $options['bordered_width'];
	if(!empty($gedung_bordered_width_c["width"])){
		$gedung_bordered_width 	= $gedung_bordered_width_c["width"];
	}

	/* header area content */
	$logo_padding	= $options['logo_padding'];
	$logo_padd_top = '0px';
	$logo_padd_bot = '0px';
	if(!empty($logo_padding["padding-top"])){
		$logo_padd_top = $logo_padding["padding-top"];
	}
	if(!empty($logo_padding["padding-bottom"])){
		$logo_padd_bot = $logo_padding["padding-bottom"];
	}

	$mobile_padding_head	= $options['mobile_padding_head'];
	$mobile_padding_head_left = '0px';
	$mobile_padding_head_right = '0px';
	if(!empty($mobile_padding_head["padding-left"])){
		$mobile_padding_head_left = $mobile_padding_head["padding-left"];
	}
	if(!empty($mobile_padding_head["padding-right"])){
		$mobile_padding_head_right = $mobile_padding_head["padding-right"];
	}

	$mobile_margin_logo	= $options['mobile_margin_logo'];
	$mobile_margin_logo_top = '0px';
	$mobile_margin_logo_bottom = '0px';
	if(!empty($mobile_margin_logo["margin-top"])){
		$mobile_margin_logo_top = $mobile_margin_logo["margin-top"];
	}
	if(!empty($mobile_margin_logo["margin-bottom"])){
		$mobile_margin_logo_bottom = $mobile_margin_logo["margin-bottom"];
	}

	$mobile_margin_menu	= $options['mobile_margin_menu'];
	$mobile_margin_menu_top = '0px';
	$mobile_margin_menu_bottom = '0px';
	if(!empty($mobile_margin_menu["margin-top"])){
		$mobile_margin_menu_top = $mobile_margin_menu["margin-top"];
	}
	if(!empty($mobile_margin_menu["margin-bottom"])){
		$mobile_margin_menu_bottom = $mobile_margin_menu["margin-bottom"];
	}

	$gedung_logo_mobile_width		= $options['logo_mobile_width'];
	$gedung_logo_mobile_width_res	= '100%';
	if(!empty($gedung_logo_mobile_width["width"])){
		$gedung_logo_mobile_width_res = $gedung_logo_mobile_width["width"];
	}

	$header_container_width	= $options['header_container_width'];
	$header_contain_width	= 'auto';
	if(!empty($header_container_width["width"])){
		$header_contain_width = $header_container_width["width"];
	}
	$nopad = '';
	if($header_contain_width == '100%') {
		$nopad = 'padding-left: 0; padding-right: 0;';
	}

	$header_padding	= $options['header_padding'];
	$header_padding_top = '0px';
	$header_padding_bot = '0px';
	$header_padding_left = '0px';
	$header_padding_right = '0px';
	if(!empty($header_padding["padding-top"])){
		$header_padding_top = $header_padding["padding-top"];
	}
	if(!empty($header_padding["padding-bottom"])){
		$header_padding_bot = $header_padding["padding-bottom"];
	}
	if(!empty($header_padding["padding-left"])){
		$header_padding_left = $header_padding["padding-left"];
	}
	if(!empty($header_padding["padding-right"])){
		$header_padding_right = $header_padding["padding-right"];
	}

	$header_background	= $options['header_background'];
	$header_background_img = 'background-image: none';
	if(!empty($header_background["background-image"])){
		$header_background_img_url = $header_background["background-image"];
		$header_background_img = 'background-image: url('.$header_background_img_url.');';
	}

	$content_background	= $options['content_background'];
	$content_background_img = 'background-image: none';
	if(!empty($content_background["background-image"])){
		$content_background_img_url = $content_background["background-image"];
		$content_background_img = 'background-image: url('.$content_background_img_url.');';
	}

	$header_fixed_background	= $options['header_fixed_background'];
	$header_fixed_color			= $options['header_fixed_color'];
	$space_when_scroll	= $options['space_when_scroll'];
	$space_when_scroll_top = '30px';
	$space_when_scroll_bot = '30px';
	$space_when_scroll_left = '0px';
	$space_when_scroll_right = '0px';
	if(!empty($header_fixed_color["padding-top"])){
		$space_when_scroll_top = $header_fixed_color["padding-top"];
	}
	if(!empty($header_fixed_color["padding-bottom"])){
		$space_when_scroll_bot = $header_fixed_color["padding-bottom"];
	}
	if(!empty($header_fixed_color["padding-left"])){
		$space_when_scroll_left = $header_fixed_color["padding-left"];
	}
	if(!empty($header_fixed_color["padding-right"])){
		$space_when_scroll_right = $header_fixed_color["padding-right"];
	}

	$header_left_item_ver_margin	= $options['header_left_item_ver_margin'];
	$header_left_item_ver_margin_top = '0px';
	$header_left_item_ver_margin_bot = '0px';
	if(!empty($header_left_item_ver_margin["margin-top"])){
		$header_left_item_ver_margin_top = $header_left_item_ver_margin["margin-top"];
	}
	if(!empty($header_left_item_ver_margin["margin-bottom"])){
		$header_left_item_ver_margin_bot = $header_left_item_ver_margin["margin-bottom"];
	}

	$header_right_item_ver_padding	= $options['header_right_item_ver_padding'];
	$header_right_item_ver_pad_top = '0px';
	$header_right_item_ver_pad_bot = '0px';
	if(!empty($header_right_item_ver_padding["padding-top"])){
		$header_right_item_ver_pad_top = $header_right_item_ver_padding["padding-top"];
	}
	if(!empty($header_right_item_ver_padding["padding-bottom"])){
		$header_right_item_ver_pad_bot = $header_right_item_ver_padding["padding-bottom"];
	}

	$header_right_item_ver_bord	= $options['header_right_item_ver_bord'];
	$header_right_item_ver_bord_top = '1px solid #efefef';
	$header_right_item_ver_bord_bot = '1px solid #efefef';
	if(!empty($header_right_item_ver_bord["border-top"])){
		$header_right_item_bord_style = $header_right_item_ver_bord["border-style"];
		$header_right_item_bord_color = $header_right_item_ver_bord["border-color"];
		$header_right_item_ver_bord_top_val = $header_right_item_ver_bord["border-top"];
		$header_right_item_ver_bord_top = $header_right_item_ver_bord_top_val .' '. $header_right_item_bord_style .' '. $header_right_item_bord_color;
	}
	if(!empty($header_right_item_ver_bord["border-bottom"])){
		$header_right_item_bord_style = $header_right_item_ver_bord["border-style"];
		$header_right_item_bord_color = $header_right_item_ver_bord["border-color"];
		$header_right_item_ver_bord_bot_val = $header_right_item_ver_bord["border-bottom"];
		$header_right_item_ver_bord_bot = $header_right_item_ver_bord_bot_val .' '. $header_right_item_bord_style .' '. $header_right_item_bord_color;
	}

	$header_left_item_margin	= $options['header_left_item_margin'];
	$header_left_item_margin_left = '0px';
	$header_left_item_margin_right = '0px';
	if(!empty($header_left_item_margin["margin-left"])){
		$header_left_item_margin_left = $header_left_item_margin["margin-left"];
	}
	if(!empty($header_left_item_margin["margin-right"])){
		$header_left_item_margin_right = $header_left_item_margin["margin-right"];
	}

	// padding header right item
	$header_right_item_padding	= $options['header_right_item_padding'];
	$header_right_item_padding_top = '0px';
	$header_right_item_padding_bot = '0px';
	if(!empty($header_right_item_padding["padding-top"])){
		$header_right_item_padding_top = $header_right_item_padding["padding-top"];
	}
	if(!empty($header_right_item_padding["padding-bottom"])){
		$header_right_item_padding_bot = $header_right_item_padding["padding-bottom"];
	}

	// margin header right item
	$header_right_item_margin	= $options['header_right_item_margin'];
	$header_right_item_margin_left = '0px';
	$header_right_item_margin_right = '20px';
	if(!empty($header_right_item_margin["margin-left"])){
		$header_right_item_margin_left = $header_right_item_margin["margin-left"];
	}
	if(!empty($header_right_item_margin["margin-right"])){
		$header_right_item_margin_right = $header_right_item_margin["margin-right"];
	}

	$gedung_loader_img = '';
	if (isset($options['page_loader_img'])) {
		$gedung_loader_img = $options['page_loader_img']['url'];
	}
	$header_text_color = $options['header_text_color'];

	/* footer area content */
	$footer_container_width	= $options['footer_container_width'];

	$footer_padding	= $options['footer_padding'];
	$footwrap_padd_top = '0px';
	$footwrap_padd_bot = '0px';
	if(!empty($footer_padding["padding-top"])){
		$footwrap_padd_top = $footer_padding["padding-top"];
	}
	if(!empty($footer_padding["padding-bottom"])){
		$footwrap_padd_bot = $footer_padding["padding-bottom"];
	}

	$footer_background	= $options['footer_background'];
	if(empty($footer_background)) {
		$footer_bg_color = 'transparent';
		$footer_bg_repeat = 'no-repeat';
		$footer_bg_attach = 'inherit';
		$footer_bg_position = 'center center';
		$footer_bg_size = 'inherit';
	}
	else {
		$footer_bg_color = $footer_background["background-color"];
		$footer_bg_repeat = $footer_background["background-repeat"];
		$footer_bg_attach = $footer_background["background-attachment"];
		$footer_bg_position = $footer_background["background-position"];
		$footer_bg_size = $footer_background["background-size"];
	}
	$footer_background_img = 'background-image: none';
	if(!empty($footer_background["background-image"])){
		$footer_background_img_url = $footer_background["background-image"];
		$footer_background_img = 'background-image: url('.$footer_background_img_url.');';
	}

	$foot_col1_martop = '0px';
	$foot_col1_marleft = '0px';
	$foot_col1_marbot = '0px';
	$foot_col1_marright = '0px';
	$foot_col1_margin	= $options['foot_col1_margin'];
	if(!empty($foot_col1_margin["margin-top"])){
		$foot_col1_martop = $foot_col1_margin["margin-top"];
	}
	if(!empty($foot_col1_margin["margin-left"])){
		$foot_col1_marleft = $foot_col1_margin["margin-left"];
	}
	if(!empty($foot_col1_margin["margin-bottom"])){
		$foot_col1_marbot = $foot_col1_margin["margin-bottom"];
	}
	if(!empty($foot_col1_margin["margin-right"])){
		$foot_col1_marright = $foot_col1_margin["margin-right"];
	}

	$foot_col2_martop = '0px';
	$foot_col2_marleft = '0px';
	$foot_col2_marbot = '0px';
	$foot_col2_marright = '0px';
	$foot_col2_margin	= $options['foot_col2_margin'];
	if(!empty($foot_col2_margin["margin-top"])){
		$foot_col2_martop = $foot_col2_margin["margin-top"];
	}
	if(!empty($foot_col2_margin["margin-left"])){
		$foot_col2_marleft = $foot_col2_margin["margin-left"];
	}
	if(!empty($foot_col2_margin["margin-bottom"])){
		$foot_col2_marbot = $foot_col2_margin["margin-bottom"];
	}
	if(!empty($foot_col2_margin["margin-right"])){
		$foot_col2_marright = $foot_col2_margin["margin-right"];
	}

	$foot_col3_martop = '0px';
	$foot_col3_marleft = '0px';
	$foot_col3_marbot = '0px';
	$foot_col3_marright = '0px';
	$foot_col3_margin	= $options['foot_col3_margin'];
	if(!empty($foot_col3_margin["margin-top"])){
		$foot_col3_martop = $foot_col3_margin["margin-top"];
	}
	if(!empty($foot_col3_margin["margin-left"])){
		$foot_col3_marleft = $foot_col3_margin["margin-left"];
	}
	if(!empty($foot_col3_margin["margin-bottom"])){
		$foot_col3_marbot = $foot_col3_margin["margin-bottom"];
	}
	if(!empty($foot_col3_margin["margin-right"])){
		$foot_col3_marright = $foot_col3_margin["margin-right"];
	}

	$foot_col4_martop = '0px';
	$foot_col4_marleft = '0px';
	$foot_col4_marbot = '0px';
	$foot_col4_marright = '0px';
	$foot_col4_margin	= $options['foot_col4_margin'];
	if(!empty($foot_col4_margin["margin-top"])){
		$foot_col4_martop = $foot_col4_margin["margin-top"];
	}
	if(!empty($foot_col4_margin["margin-left"])){
		$foot_col4_marleft = $foot_col4_margin["margin-left"];
	}
	if(!empty($foot_col4_margin["margin-bottom"])){
		$foot_col4_marbot = $foot_col4_margin["margin-bottom"];
	}
	if(!empty($foot_col4_margin["margin-right"])){
		$foot_col4_marright = $foot_col4_margin["margin-right"];
	}

	/*the fonts*/
	$header1_menu_typography	= $options['header1-menu-typography'];
	$content_body_font			= $options['content-body-font'];
	if(!empty($content_body_font["font-weight"])) {
		$content_body_font_weight = $content_body_font["font-weight"];
	}
	else {
		$content_body_font_weight = $content_body_font["font-style"];
	}
	$content_heading_font		= $options['content-heading-font'];
	if(!empty($content_heading_font["font-weight"])) {
		$content_heading_font_weight = $content_heading_font["font-weight"];
	}
	else {
		$content_heading_font_weight = $content_heading_font["font-style"];
	}
	$header_mobile_typography	= $options['header-mobile-typography'];

	$heading1_typo	= $options['heading1_typo'];
	$heading2_typo	= $options['heading2_typo'];
	$heading3_typo	= $options['heading3_typo'];
	$heading4_typo	= $options['heading4_typo'];
	$heading5_typo	= $options['heading5_typo'];
	$heading6_typo	= $options['heading6_typo'];

	}

	/* container */
	$gedung_head_container_type				= get_theme_mod( 'gedung_head_container_type', 'px' );
	$gedung_head_container_size				= get_theme_mod( 'gedung_head_container_size', '1170' );

	$gedung_content_container_type			= get_theme_mod( 'gedung_content_container_type', 'px' );
	$gedung_content_container_size			= get_theme_mod( 'gedung_content_container_size', '1170' );

	$gedung_footer_container_type			= get_theme_mod( 'gedung_footer_container_type', 'px' );
	$gedung_foot_container_size				= get_theme_mod( 'gedung_foot_container_size', '1170' );
	$gedung_custom_background				= get_theme_mod( 'custom-background' );



	/* HEADER SECTION
	================================================== */


	//header styling

	$menu_header	   							=	get_option('menu_header', '#000000');
	$menu_hover_header	   						=	get_option('menu_hover_header', '#111111');
	$menu_border	   							=	get_option('menu_border', '#f2b410');
	$sub_bg	   									=	get_option('sub_bg', '#000000');
	$sub_menu   								=	get_option('sub_menu', '#ffffff');
	$search_close   							=	get_option('search_close', '#ffffff');
	$search_bar_title   						=	get_option('search_bar_title', '#ffffff');
	$search_sugges   							=	get_option('search_sugges', '#ffffff');
	$search_desc_sugges   						=	get_option('search_desc_sugges', '#ffffff');
	$search_bord   								=	get_option('search_bord', '#ffffff');

	//header alternative styling

	$alt_menu_hover	   							=	get_option('alt_menu_hover', '#dddddd');
	$alt_menu_border	  						=	get_option('alt_menu_border', '#f2b410');


	/* CONTENT SECTION
	================================================== */

	//blog

	$post_meta_border	   						=	get_option('post_meta_border', '#d0d0d0');
	$post_meta_date	   							=	get_option('post_meta_date', '#000000');
	$post_meta_monthyear	   					=	get_option('post_meta_monthyear', '#6d6d6d');
	$post_meta_text	   							=	get_option('post_meta_text', '#000000');
	$post_meta_hover	   						=	get_option('post_meta_hover', '#666666');
	$post_meta_textbord	   						=	get_option('post_meta_textbord', '#d0d0d0');
	$post_title			   						=	get_option('post_title', '#000000');
	$post_hover_title			   				=	get_option('post_hover_title', '#666666');
	$post_desc			  		 				=	get_option('post_desc', '#333333');
	$read_more			  		 				=	get_option('read_more', '#ffffff');
	$read_hover_more			  		 		=	get_option('read_hover_more', '#ffffff');
	$read_more_bg			  		 			=	get_option('read_more_bg', '#f2b410');
	$read_more_bg_hover			  		 		=	get_option('read_more_bg_hover', '#000000');

	//single blog

	$text_single				 				=	get_option('text_single', '#000000');
	$text_quote				 					=	get_option('text_quote', '#000000');
	$quote_border				  		 		=	get_option('quote_border', '#dddddd');
	$quote_icon				  		 			=	get_option('quote_icon', '#111111');
	$tag_text				  		 			=	get_option('tag_text', '#000000');
	$tag_hover				  		 			=	get_option('tag_hover', '#666666');
	$tag_bg				  		 				=	get_option('tag_bg', '#f3f3f3');
	$tag_bg_hover				  		 		=	get_option('tag_bg_hover', '#e6e6e6');
	$meta_title				  		 			=	get_option('meta_title', '#000000');
	$meta_link				  		 			=	get_option('meta_link', '#000000');
	$meta_link_hover				  		 	=	get_option('meta_link_hover', '#666666');
	$prev_bord				  		 			=	get_option('prev_bord', '#000000');
	$prev_link				  		 			=	get_option('prev_link', '#666666');
	$prev_hover_link				  		 	=	get_option('prev_hover_link', '#cccccc');
	$border_prev				  			 	=	get_option('border_prev', '#dddddd');
	$comment_title				  		 		=	get_option('comment_title', '#000000');
	$comment_link				  		 		=	get_option('comment_link', '#999999');
	$comment_hover_link				  		 	=	get_option('comment_hover_link', '#000000');
	$btn_comment_bg				  		 		=	get_option('btn_comment_bg', '#f2b410');
	$btn_comment_bg_hover				  		=	get_option('btn_comment_bg_hover', '#333333');
	$btn_comment_text				  		 	=	get_option('btn_comment_text', '#ffffff');
	$next_archive				  			 	=	get_option('next_archive', '#ffffff');
	$border_content				  			 	=	get_option('border_content', '#dedede');

	//sidebar & widget

	$sidebar_search_bg	   						=	get_option('sidebar_search_bg', '#ffffff');
	$sidebar_search_icon	   					=	get_option('sidebar_search_icon', '#999999');
	$sidebar_search_text	   					=	get_option('sidebar_search_text', '#aaaaaa');
	$gedung_widget_title	   					=	get_option('gedung_widget_title', '#000000');
	$gedung_border_title	   					=	get_option('gedung_border_title', '#f2b410');
	$gedung_border2_title	   					=	get_option('gedung_border2_title', '#efefef');
	$link_text_sidebar	   						=	get_option('link_text_sidebar', '#000000');
	$link_hover_sidebar	   						=	get_option('link_hover_sidebar', '#999999');
	$text_tabs	   								=	get_option('text_tabs', '#000000');
	$text_tabs2_hover	   						=	get_option('text_tabs2_hover', '#999999');
	$bg_tabs2	   								=	get_option('bg_tabs2', '#f2b410');
	$bg_tabs1	   								=	get_option('bg_tabs1', '#f2b410');
	$title_tabs	   								=	get_option('title_tabs', '#ffffff');
	$border_tabs	   							=	get_option('border_tabs', '#efefef');
	$tag_cloud_border	   						=	get_option('tag_cloud_border', '#e6e6e6');
	$tag_cloud_text	   							=	get_option('tag_cloud_text', '#000000');
	$tag_cloudhover_text	   					=	get_option('tag_cloudhover_text', '#666666');
	$tag_cloudhover_border	   					=	get_option('tag_cloudhover_border', '#e6e6e6');
	$tag_cloudhover_bg	   						=	get_option('tag_cloudhover_bg', '#e6e6e6');

	//Contact

	$form_bord	   								=	get_option('form_bord', '#cdcdcc');
	$text_input	   								=	get_option('text_input', '#000000');
	$btn_send	   								=	get_option('btn_send', '#f2b410');
	$btn_send_text	   							=	get_option('btn_send_text', '#ffffff');
	$btn_send_hover	   							=	get_option('btn_send_hover', '#333333');
	$btn_send_text_hover	   					=	get_option('btn_send_text_hover', '#ffffff');


	/* PORTFOLIO
	================================================== */

	//portfolio single

	$port_title	   								=	get_option('port_title', '#000000');
	$category_portfolio	   						=	get_option('category_portfolio', '#ffb23f');
	$detail1_title	   							=	get_option('detail1_title', '#000000');
	$detail1_p	   								=	get_option('detail1_p', '#888888');
	$detail1_border	   							=	get_option('detail1_border', '#eeeeee');
	$detail1_desc	   							=	get_option('detail1_desc', '#555555');
	$detail1_pagination	   						=	get_option('detail1_pagination', '#000000');
	$detail1_hov_pagination	   					=	get_option('detail1_hov_pagination', '#666666');


	/* FOOTER
	================================================== */

	//footer

	$border_footer	   							=	get_option('border_footer', '#f2f2f2');
	$footer_text	   							=	get_option('footer_text', '#ffffff');
	$footer_link	   							=	get_option('footer_link', '#ffffff');
	$footer_hover_link	   						=	get_option('footer_hover_link', '#f2b410');
	$footer_social	   							=	get_option('footer_social', '#ffffff');
	$footer_hover_social	   					=	get_option('footer_hover_social', '#f2b410');
	$footer_widget_bg							=	get_option('footer_widget_bg', '#262626');
	$footer_widget_title	   					=	get_option('footer_widget_title', '#ffffff');
	$footer_widgetborder_title	   				=	get_option('footer_widgetborder_title', '#f2b410');
	$footer_widgetborder2_title	   				=	get_option('footer_widgetborder2_title', '#383838');
	$link_text_widget	   						=	get_option('link_text_widget', '#ffffff');
	$link_text_date	   							=	get_option('link_text_date', '#555555');
	$link_hover_widget	   						=	get_option('link_hover_widget', '#aaaaaa');
	$text_widget	   							=	get_option('text_widget', '#ffffff');



	/* Inline Styles Function */
	if(class_exists('acf')){
	$acf_css = "
	
	";

	wp_add_inline_style( 'gedung-custom-style', $acf_css );
	}

	if(class_exists('Redux')){
	$redux_css = "
	/* theme options */

	body, #content {
		background-color: {$content_background["background-color"]};
		background-repeat: {$content_background["background-repeat"]};
		background-attachment: {$content_background["background-attachment"]};
		background-position: {$content_background["background-position"]};
		background-size: {$content_background["background-size"]};
		{$content_background_img};
	}

	.bordered{
	  background-color: {$gedung_bordered_title};
	}

	/* container */
	#header .container{
	  width: {$gedung_head_container_size}{$gedung_head_container_type};
	}
	#content .container{
	  width: {$gedung_content_container_size}{$gedung_content_container_type};
	}
	#footer .container{
	  width: {$gedung_foot_container_size}{$gedung_footer_container_type};
	}
	#status {
		background-size: {$gedung_loader_w} {$gedung_loader_h};
	}
	.bordered-main-wrap {
		padding-left: {$gedung_bordered_width};
		padding-right: {$gedung_bordered_width};
	}

	@media only screen and (max-width: 768px) {
		header#header.inner-head-wrap.header-expanded {
			background-color: {$gedung_header_mob_bg_def};
		}
		header#header.inner-head-wrap.header-expanded.alt-head {
			background-color: {$gedung_header_mob_bg_alt};
		}
	}

	#status {
	    background-image: url({$gedung_loader_img});
	}

	/* header area contents */
	#header .logo-image, #header .logo-title {
		padding-top: {$logo_padd_top};
		padding-bottom: {$logo_padd_bot};
	}

	header#header .container {
		width: {$header_contain_width};
		{$nopad};
	}
	header#header.inner-head-wrap {
		padding-top: {$header_padding_top};
		padding-bottom: {$header_padding_bot};
		padding-right: {$header_padding_right};
		padding-left: {$header_padding_left};
		-webkit-transition: all 0.5s ease 0s;
	    -moz-transition: all 0.5s ease 0s;
	    transition: all 0.5s ease 0s;

		background-color: {$header_background["background-color"]};
		background-repeat: {$header_background["background-repeat"]};
		background-attachment: {$header_background["background-attachment"]};
		background-position: {$header_background["background-position"]};
		background-size: {$header_background["background-size"]};
		{$header_background_img};
	}
	.sticky-header-wrap.scrolled header#header.inner-head-wrap {
		padding-top: {$space_when_scroll_top};
		padding-bottom: {$space_when_scroll_bot};
		padding-right: {$space_when_scroll_right};
		padding-left: {$space_when_scroll_left};
	    -moz-transition: all 0.6s ease 0s;
	    -ms-transition: all 0.6s ease 0s;
	    -o-transition: all 0.6s ease 0s;
	    transition: all 0.6s ease 0s;
	}
	.sticky-header-wrap.scrolled {
		background-color: {$header_fixed_background};
	    -moz-transition: all 0.6s ease 0s;
	    -ms-transition: all 0.6s ease 0s;
	    -o-transition: all 0.6s ease 0s;
	    transition: all 0.6s ease 0s;
	}
	.sticky-header-wrap.scrolled a, .sticky-header-wrap.scrolled i {
		color: {$header_fixed_color} !important;
	    -moz-transition: all 0.6s ease 0s;
	    -ms-transition: all 0.6s ease 0s;
	    -o-transition: all 0.6s ease 0s;
	    transition: all 0.6s ease 0s;
	}
	#header.alt-head #showMenu span {
		background-color: {$header_text_color};
	}

	.fl.vertical.header_left_nofloat {
		margin-top: {$header_left_item_ver_margin_top};
		margin-bottom: {$header_left_item_ver_margin_bot};
	}

	.fr.vertical.header_right_nofloat {
		padding-top: {$header_right_item_ver_pad_top};
		padding-bottom: {$header_right_item_ver_pad_bot};
		border-top: {$header_right_item_ver_bord_top};
		border-bottom: {$header_right_item_ver_bord_bot};
	}

	.fl.horizontal .head-item {
		margin-left: {$header_left_item_margin_left};
		margin-right: {$header_left_item_margin_right};
	}

	.fr .head-item {
		padding-top: {$header_right_item_padding_top} !important;
		padding-bottom: {$header_right_item_padding_bot} !important;
	}
	.fr.horizontal .head-item {
		margin-left: {$header_right_item_margin_left} !important;
		margin-right: {$header_right_item_margin_right} !important;
	}
	
	@media only screen and (max-width: 768px) {
		header#header.inner-head-wrap {
			padding-left: {$mobile_padding_head_left};
			padding-right: {$mobile_padding_head_right};
		}
		header#header .logo.head-item {
			margin-top: {$mobile_margin_logo_top};
			margin-bottom: {$mobile_margin_logo_bottom};
		}
		.header-style-1 .fr .head-item.search-wrap, header#header .main-menu-btn {
			margin-top: {$mobile_margin_menu_top} !important;
			margin-bottom: {$mobile_margin_menu_bottom} !important;
    		padding: 0 !important;
		}
		.header-style-1-wrap .logo img {
			width: {$gedung_logo_mobile_width_res};
		}
	}

	/* footer area content */
	#footer .container {
		width: {$footer_container_width["width"]};
	}
	#footer .footer-wrap {
		padding-top: {$footwrap_padd_top};
		padding-bottom: {$footwrap_padd_bot};
	}
	#footer {
		background-color: {$footer_bg_color};
		background-repeat: {$footer_bg_repeat};
		background-attachment: {$footer_bg_attach};
		background-position: {$footer_bg_position};
		background-size: {$footer_bg_size};
		{$footer_background_img};
	}
	.foot-col.item-col-1 .foot-col-item {
		margin-top: {$foot_col1_martop};
		margin-left: {$foot_col1_marleft};
		margin-bottom: {$foot_col1_marbot};
		margin-right: {$foot_col1_marright};
	}
	.foot-col.item-col-1 .foot-col-item:first-child {
		margin-left: 0;
	}
	.foot-col.item-col-1 .foot-col-item:last-child {
		margin-right: 0;
	}

	.foot-col.item-col-2 .foot-col-item {
		margin-top: {$foot_col2_martop};
		margin-left: {$foot_col2_marleft};
		margin-bottom: {$foot_col2_marbot};
		margin-right: {$foot_col2_marright};
	}
	.foot-col.item-col-2 .foot-col-item:first-child {
		margin-left: 0;
	}
	.foot-col.item-col-2 .foot-col-item:last-child {
		margin-right: 0;
	}

	.foot-col.item-col-3 .foot-col-item {
		margin-top: {$foot_col3_martop};
		margin-left: {$foot_col3_marleft};
		margin-bottom: {$foot_col3_marbot};
		margin-right: {$foot_col3_marright};
	}
	.foot-col.item-col-3 .foot-col-item:first-child {
		margin-left: 0;
	}
	.foot-col.item-col-3 .foot-col-item:last-child {
		margin-right: 0;
	}

	.foot-col.item-col-4 .foot-col-item {
		margin-top: {$foot_col4_martop};
		margin-left: {$foot_col4_marleft};
		margin-bottom: {$foot_col4_marbot};
		margin-right: {$foot_col4_marright};
	}
	.foot-col.item-col-4 .foot-col-item:first-child {
		margin-left: 0;
	}
	.foot-col.item-col-4 .foot-col-item:last-child {
		margin-right: 0;
	}	

	/*fonts*/
	body, body p, .comment-respond form p.form-submit input, .blog-item .meta-wrapper .author a, .blog-single .blog-item .meta-wrapper span.standard-post-categories {
		font-family: {$content_body_font["font-family"]};
		font-weight: {$content_body_font_weight};
		text-align: {$content_body_font["text-align"]};
		font-size: {$content_body_font["font-size"]};
		line-height: {$content_body_font["line-height"]};
		word-spacing: {$content_body_font["word-spacing"]};
		letter-spacing: {$content_body_font["letter-spacing"]};
	}
	h1, h2, h3, h4, h5, h6 {
		font-family: {$content_heading_font["font-family"]};
		font-weight: {$content_heading_font_weight};
		text-align: {$content_heading_font["text-align"]};
	}

	.meta.meta-comments .comments {
		font-family: {$content_heading_font["font-family"]};
	}

	h1 {
		text-align: inherit;
		font-size: {$heading1_typo["font-size"]};
		line-height: {$heading1_typo["line-height"]};
		word-spacing: {$heading1_typo["word-spacing"]};
		letter-spacing: {$heading1_typo["letter-spacing"]};
	}
	h2 {
		text-align: inherit;
		font-size: {$heading2_typo["font-size"]};
		line-height: {$heading2_typo["line-height"]};
		word-spacing: {$heading2_typo["word-spacing"]};
		letter-spacing: {$heading2_typo["letter-spacing"]};
	}
	h3 {
		text-align: inherit;
		font-size: {$heading3_typo["font-size"]};
		line-height: {$heading3_typo["line-height"]};
		word-spacing: {$heading3_typo["word-spacing"]};
		letter-spacing: {$heading3_typo["letter-spacing"]};
	}
	h4 {
		text-align: inherit;
		font-size: {$heading4_typo["font-size"]};
		line-height: {$heading4_typo["line-height"]};
		word-spacing: {$heading4_typo["word-spacing"]};
		letter-spacing: {$heading4_typo["letter-spacing"]};
	}
	h5 {
		text-align: inherit;
		font-size: {$heading5_typo["font-size"]};
		line-height: {$heading5_typo["line-height"]};
		word-spacing: {$heading5_typo["word-spacing"]};
		letter-spacing: {$heading5_typo["letter-spacing"]};
	}
	h6 {
		text-align: inherit;
		font-size: {$heading6_typo["font-size"]};
		line-height: {$heading6_typo["line-height"]};
		word-spacing: {$heading6_typo["word-spacing"]};
		letter-spacing: {$heading6_typo["letter-spacing"]};
	}

	@media only screen and (max-width: 768px) {
		#main-wrapper #header #primary-menu li a {
			font-weight: {$header_mobile_typography["font-weight"]};
			text-align: {$header_mobile_typography["text-align"]};
			font-size: {$header_mobile_typography["font-size"]};
			line-height: {$header_mobile_typography["line-height"]};
			word-spacing: {$header_mobile_typography["word-spacing"]};
			letter-spacing: {$header_mobile_typography["letter-spacing"]};
		}
	}
	";

	wp_add_inline_style( 'gedung-custom-style', $redux_css );
	}

	$custom_css = "


	/* HEADER SECTION
	================================================================ */

	/* Header Styling --- */

	.header-style-1-wrap .main-menu ul.sm-clean>li>a, .header-style-1-wrap .main-menu ul.sm-clean>li>a:active, .header-style-1-wrap .search-wrap #btn-search i, .header-style-1-wrap .main-menu ul.sm-clean>li.current-menu-item>a, .header-style-1-wrap .main-menu ul.sm-clean>li>a:hover{
		color: {$menu_header};
	}
	.sm-clean a span.sub-arrow{
		border-top-color: {$menu_header};
	}
	.header-style-1-wrap .main-menu ul.sm-clean>li>a:hover, .header-style-1-wrap .menu__item:hover > .menu__link{
		color: {$menu_hover_header};
	}
	.header-style-1-wrap .main-menu ul.sm-clean>li>a::before, .header-style-1-wrap .main-menu ul.sm-clean>li.current-menu-item>a::before,
	.header-style-1-wrap .main-menu ul.sm-clean>li>a::after, .header-style-1-wrap .main-menu ul.sm-clean>li.current-menu-item>a::after,
	.header-style-1-wrap .main-menu ul.sm-clean>li::before,
	.header-style-1-wrap .main-menu ul.sm-clean>li::after{
		background-color: {$menu_border};
		border-color: {$menu_border};
	}
	.header-style-1-wrap ul.sm-clean ul{
		background-color: {$sub_bg};
	}
	.header-style-1-wrap ul.sm-clean ul li.menu__item a.menu__link, .header-style-1-wrap .menu__item:hover > ul .menu__link{
		color: {$sub_menu};
	}
	.header-style-1 .btn--search-close{
		color: {$search_close};
	}
	.header-style-1 .search__info{
		color: {$search_bar_title};
	}
	.header-style-1 .search__suggestion h4{
		color: {$search_sugges};
	}
	.header-style-1 .search__suggestion h4::before{
		background-color: {$search_sugges};
	}
	.header-style-1 .search__suggestion p{
		color: {$search_desc_sugges};
	}
	.header-style-1 .search__input{
		color: {$search_bord};
	}


	/* Header Alternative Styling --- */

	body .alt-head .main-menu ul.sm-clean>li>a:hover,
	.header-style-1-wrap.alt-head .main-menu ul.sm-clean>li>a:hover, 
	.header-style-1-wrap.alt-head .menu__item:hover .menu__link{
		color: {$alt_menu_hover};
	}
	body .alt-head .main-menu ul.sm-clean>li>a::before, body .alt-head .main-menu ul.sm-clean>li.current-menu-item>a::before{
		background-color: {$alt_menu_border};
	}


	

	/* CONTENT SECTION
	================================================================ */

	/* Blog --- */

	.post-head .date:after{
		border-right-color: {$post_meta_border};
	}
	.post-head .date span.thedate{
		color: {$post_meta_date};
	}
	.post-head .date span{
		color: {$post_meta_monthyear};
	}
	.blog-item .meta-wrapper, .blog-item .meta-wrapper span, .blog-item .meta-wrapper a{
		color: {$post_meta_text};
	}
	.blog-item .meta-wrapper span.vcard:hover, .blog-item .meta-wrapper a:hover{
		color: {$post_meta_hover};
	}
	.blog-item .meta-wrapper span.standard-post-categories:before{
		background-color: {$post_meta_textbord};
	}
	.post-head .block-title .post-title a{
		color: {$post_title};
	}
	.post-head .block-title .post-title a:hover{
		color: {$post_hover_title};
	}
	.blog-content-wrap .post-content .post-text p, .comment-content p{
		color: {$post_desc};
	}
	.post-content a.read-more{
		color: {$read_more};
	}
	.post-content a.read-more:hover{
		color: {$read_hover_more};
	}
	.blog-item .btn-more .read-more{
		background-color: {$read_more_bg};
	}
	.blog-item .btn-more .read-more:hover{
		background-color: {$read_more_bg_hover};
	}


	/* Single Blog --- */
	
	.post-content .post-text p, .comment-content p, .blog-single .post-author .author-desc{
		color: {$text_single};
	}
	.post-text blockquote p{
		color: {$text_quote};
	}
	.post-text blockquote p:before{
		border-color: {$quote_border};
	}
	.post-text blockquote p:after{
		color: {$quote_icon};
	}
	.tag-wrapper a{
		color: {$tag_text};
	}
	.tag-wrapper a:hover{
		color: {$tag_hover};
	}
	.tag-wrapper a{
		background-color: {$tag_bg};
	}
	.tag-wrapper a:hover{
		background-color: {$tag_bg_hover};
	}
	.meta-content-bottom .meta-title{
		color: {$meta_title};
	}
	.blog-single .post-author .author-name a{
		color: {$meta_link};
	}
	.blog-single .post-author .author-name a:hover{
		color: {$meta_link_hover};
	}
	.blog-single .next-prev-post a{
		color: {$prev_bord};
	}
	.blog-single .next-prev-post .title{
		color: {$prev_link};
	}
	.blog-single .next-prev-post a:hover .title{
		color: {$prev_hover_link};
	}
	.blog-single .next-prev-post, .comment-list, .next-prev-post .next-post, .next-prev-post .prev-post{
		border-top-color: {$border_prev};
		border-bottom-color: {$border_prev};
		border-left-color: {$border_prev};
		border-right-color: {$border_prev};
	}
	.comment-respond h3.comment-reply-title, .comments-title h3{
		color: {$comment_title};
	}
	.comment-respond form p.logged-in-as a, .comment-respond form p.logged-in-as, .comment-action a{
		color: {$comment_link};
	}
	.comment-respond form p.logged-in-as a:hover, .comment-action a:hover{
		color: {$comment_hover_link};
	}
	.comment-respond form p.form-submit input, .contact-form-style-1 .wpcf7-submit, .contact-form-style-2 .wpcf7-submit{
		background-color: {$btn_comment_bg};
	}
	.comment-respond form p.form-submit input:hover, .contact-form-style-1 .wpcf7-submit:hover, .contact-form-style-2 .wpcf7-submit:hover{
		background-color: {$btn_comment_bg_hover};
	}
	.comment-respond form p.form-submit input, .contact-form-style-1 .wpcf7-submit, .contact-form-style-2 .wpcf7-submit{
		color: {$btn_comment_text};
	}
	.archive .post-navigation .btn, .search-page .post-navigation .btn{
		color: {$next_archive};
	}
	.blog-single .next-prev-post span{
		background-color: {$border_content};
	}
	.content-bottom, .comments-area, textarea{
		border-color: {$border_content};
	}
	.comment-list{
		border-bottom-color: {$border_content};
	}


	/* Sidebar & Widget --- */

	.sidebar .widget.widget_search input{
		background-color: {$sidebar_search_bg};
	}
	.sidebar .widget.widget_search button i{
		color: {$sidebar_search_icon};
	}
	.sidebar .widget.widget_search input{
		color: {$sidebar_search_text};
	}
	.sidebar .widget h4.widget-title{
		color: {$gedung_widget_title};
	}
	.sidebar .widget h4.widget-title:after{
		background-color: {$gedung_border_title};
	}
	.sidebar .widget h4.widget-title:before{
		background-color: {$gedung_border2_title};
	}
	.sidebar #recent-posts-2 ul li a, .sidebar .widget .recent-news .post-content h5 a, .sidebar #recent-comments-2 ul li a, li.recentcomments, .sidebar #archives-2 ul li a, .sidebar #categories-2 ul li a, .sidebar #meta-2 ul li a, .latest-post-wrap h5 a, .latest-post-wrap .post-content h5{
		color: {$link_text_sidebar};
	}
	.sidebar #recent-posts-2 ul li a:hover, .sidebar .widget .recent-news .post-content h5 a:hover, .sidebar #recent-comments-2 ul li a:hover, li.recentcomments:hover, .sidebar #archives-2 ul li a:hover, .sidebar #categories-2 ul li a:hover, .sidebar #meta-2 ul li a:hover, .latest-post-wrap h5 a:hover, .latest-post-wrap .post-content h5:hover{
		color: {$link_hover_sidebar};
	}
	.widget.widget_gedung_news .nav-tabs li.active a, .widget.widget_gedung_news .nav-tabs li a{
		color: {$text_tabs};
	}
	.widget.widget_gedung_news .nav-tabs li a:hover{
		color: {$text_tabs2_hover};
	}
	.widget.widget_gedung_news .nav-tabs li.active a{
		background-color: {$bg_tabs2};
		background: -moz-linear-gradient(205deg, rgba(255,255,255,0) 30%, {$bg_tabs2} 30%);
   		background: -webkit-linear-gradient(205deg, rgba(255,255,255,0) 30%,{$bg_tabs2} 30%);
   		background: linear-gradient(245deg, rgba(255,255,255,0) 30%,{$bg_tabs2} 30%);
	}
	.index-bg:before{
    	background: -moz-linear-gradient(-170deg, rgba(255,255,255,0) 20%, {$bg_tabs1} 20%);
	    background: -webkit-linear-gradient(-170deg, rgba(255,255,255,0) 20%,{$bg_tabs1} 20%);
	    background: linear-gradient(260deg, rgba(255,255,255,0) 20%,{$bg_tabs1} 20%);
	}
	.widget.widget_gedung_news .post-content h5{
		color: {$title_tabs};
	}
	.widget.widget_gedung_news .nav-tabs{
		border-bottom-color: {$border_tabs};
	}
	.tagcloud a{
		border-color: {$tag_cloud_border};
	}
	.tagcloud a{
		color: {$tag_cloud_text};
	}
	.tagcloud a:hover{
		color: {$tag_cloudhover_text};
	}
	.tagcloud a:hover{
		border-color: {$tag_cloudhover_border};
	}
	.tagcloud a:hover{
		background-color: {$tag_cloudhover_bg};
	}


	/* Contact --- */

	.contact-form-style-2 .contact-item2:before, .contact-ef .border-form-top, .contact-ef{
		background-color: {$form_bord}
	}
	.contact-form-style-1 .contact-bordered input, .contact-form-style-2 .contact-item2 input, .contact-bordered.text-area textarea, .contact-form-style-2 .contact-item2 textarea{
		color: {$text_input}
	}
	.gedung-contact-form .contact-form-style-1 input[type=submit]{
		background-color: {$btn_send}
	}
	.contact-form-style-1 input.wpcf7-submit, .contact-form-style-2 input.wpcf7-submit{
		color: {$btn_send_text}
	}
	.contact-form-style-1 input.wpcf7-submit:hover, .contact-form-style-2 input.wpcf7-submit:hover{
		background-color: {$btn_send_hover}
	}
	.contact-form-style-1 input.wpcf7-submit:hover, .contact-form-style-2 input.wpcf7-submit:hover{
		color: {$btn_send_text_hover}
	}


	/*========== PORTFOLIO SINGLE ==========*/

	.header-style-1 .page-title h2, .post-title-porto-2 h1{
		color: {$port_title};
	}
	.portfolio-style1 span.category, .post-title-porto-2 span.category{
		color: {$category_portfolio};
	}
	.portfolio-style1 .project-details ul li span, .portfolio-details .detail-title{
		color: {$detail1_title};
	}
	.portfolio-style1 .project-details ul li p, .portfolio-details .detail-info{
		color: {$detail1_p};
	}
	.portfolio-style1 .project-details ul li, .portfolio-details .detail-item{
		border-bottom-color: {$detail1_border};
	}
	.portfolio-content p{
		color: {$detail1_desc};
	}
	.portfolio-pagination.next-prev-post .title{
		color: {$detail1_pagination};
	}



	/* FOOTER SECTION
	================================================================ */

	/* Footer --- */

	.copyright-text, .footer-text-area, #footer.no-redux p, #footer.no-redux a{
		color: {$footer_text};
	}
	.copyright-text a, .footer-menu li a{
		color: {$footer_link};
	}
	.copyright-text a:hover, .footer-menu li a:hover{
		color: {$footer_hover_link};
	}
	.footer-bottom .social-footer ul li a{
		color: {$footer_social};
	}
	.footer-bottom .social-footer ul li a:hover{
		color: {$footer_hover_social};
	}
	.footer-widget-wrapper{
		background-color: {$footer_widget_bg};
	}
	.footer-widget .widget-footer h4.widget-title{
		color: {$footer_widget_title};
	}
	.footer-widget h4.widget-title .wrap-1:before{
		background-color: {$footer_widgetborder_title};
	}
	.footer-widget .title{
		border-bottom-color: {$footer_widgetborder2_title};
	}
	.footer-widget .widget-footer .latest-post-widget a, .latest-post-wrap h5, .footer-widget .widget_nav_menu ul li a, .footer-widget .widget-footer a{
		color: {$link_text_widget};
	}
	.footer-widget .widget-footer .post-content span{
		color: {$link_text_date};
	}
	.footer-widget .widget-footer .latest-post-widget a:hover, .footer-widget .widget_nav_menu ul li a:hover, .footer-widget .widget-footer a:hover{
		color: {$link_hover_widget};
	}
	.footer-widget .textwidget{
		color: {$text_widget};
	}

	
	";

	wp_add_inline_style( 'gedung-custom-style', $custom_css );

}
add_action( 'wp_enqueue_scripts', 'gedung_styles_method');