<?php

function gedung_header_search_ext_opt() {

	$gedung_header_search_opt = array(

		/* 1.5. Search*/
		array(
			'id'       => 'search_bar_style',
			'type'     => 'select',
			'title'    => esc_html__('Search Bar Style', 'gedung'),
			'options'  => array(
				'default'		=> esc_html__('Default Search Bar', 'gedung'),
				'expand'		=> esc_html__('Expanded Search Content', 'gedung'),
			),
			'default'  => 'expand',
		),
		array(
			'id'		=>'search_bar_title',
			'type' 		=> 'text',
			'title' 	=> esc_html__('Search Bar Title', 'gedung'),
			'default' 	=> '',
			'required' => array('search_bar_style','=','expand'),
		),
		array(
			'id'		=>'search_sug_title',
			'type' 		=> 'text',
			'title' 	=> esc_html__('Search Suggestion Title', 'gedung'),
			'default' 	=> '',
			'required' => array('search_bar_style','=','expand'),
		),
		array(
			'id'       => 'search_sug_text',
			'type'     => 'textarea',
			'title'    => esc_html__('Search Suggestion Description', 'gedung'), 
			'default' 	=> '',
			'required' => array('search_bar_style','=','expand'),
		),
	);

return $gedung_header_search_opt;
}