<?php get_header(); ?>

<?php 
if ( class_exists( 'Redux' ) ) {
	$options = get_option('gedung_framework');
	$gedung_blog_style = $options['loop_blog_style'];
	$gedung_loop_nav_type = $options['loop_nav_type'];
	$gedung_blog_infinite_style = $options['blog_infinite_style'];

?>
<!-- CONTENT START
============================================= -->
<section id="content" class="blog-content-wrap clearfix">

	<!-- BLOG START
	============================================= -->
	<div class="blog right-sidebar clearfix">
		<div class="container clearfix">
			<div class="<?php if($gedung_blog_style == 'sidebar' && is_active_sidebar( 'primary-sidebar' )) { ?>row <?php } ?>clearfix">
				<!-- BLOG LOOP START
				============================================= -->
				<div class="<?php if($gedung_blog_style == 'sidebar' && is_active_sidebar( 'primary-sidebar' )) { ?>column column-2of3 <?php } ?> clearfix">
					<div class="blog-section main-blog-loop infinite-container content-section">

					<?php while ( have_posts() ) : the_post(); 
					
						get_template_part( 'inc/format/loop', get_post_format() );

					endwhile; // end of the loop. ?>
				
					</div>

					<div class="blog-standard pagination clearfix">
						<?php
						if($gedung_loop_nav_type == 'nav_default') {
							gedung_content_nav($pages = '', $range = 2);
						}
						elseif($gedung_loop_nav_type == 'nav_pagina') {
							gedung_pagination($pages = '', $range = 2);
						} ?>
					</div>

					<?php if($gedung_loop_nav_type == 'nav_infinite') { ?>

						<div class="navigation-paging infinite-wrap <?php echo esc_attr($gedung_blog_infinite_style); ?> clearfix">
							<div id="load-more-loop" class="infinite-button"><?php next_posts_link( '' ); ?></div>
							<button id="load-infinite-loop" class="btn"><?php esc_html_e( 'Load More', 'gedung' ); ?></button>
						</div>
						
					<?php } ?>
				</div>
				<!-- BLOG LOOP END -->

				<!-- SIDEBAR START
				============================================= -->

				<?php if($gedung_blog_style == 'sidebar') {
					get_sidebar();
				} ?>

				<!-- SIDEBAR END -->
			</div>
		</div>
	</div>
	<!-- BLOOG END -->

</section>
<!-- CONTENT END -->
<?php }
else { ?>
<!-- CONTENT START
============================================= -->
<section id="content" class="blog-content-wrap clearfix">

	<!-- BLOG START
	============================================= -->
	<div class="blog right-sidebar clearfix">
		<div class="container clearfix">
			<div class="<?php if(is_active_sidebar( 'primary-sidebar' )) { ?>row <?php } ?>clearfix">
				<!-- BLOG LOOP START
				============================================= -->
				<div class="<?php if(is_active_sidebar( 'primary-sidebar' )) { ?>column column-2of3 <?php } ?>clearfix">
					<div class="blog-section main-blog-loop infinite-container content-section">

					<?php while ( have_posts() ) : the_post(); 

						get_template_part( 'inc/format/loop', get_post_format() );

					endwhile; // end of the loop. ?>

					</div>

					<div class="blog-standard pagination clearfix">
						<?php gedung_content_nav($pages = '', $range = 2); ?>
					</div>
				
				</div>
				<!-- BLOG LOOP END -->

				<?php get_sidebar(); ?>
			</div>
		</div>
	</div>
	<!-- BLOOG END -->

</section>
<!-- CONTENT END -->
<?php } ?>

<?php gedung_footer_choice(); ?>