<?php
$options   = get_option('gedung_framework');
$prefix = 'gedung_';
$layout    = $options['header_customize_right']['enabled'];
 
if ($layout): foreach ($layout as $key=>$value) {
	switch ($key) {
		case 'gedung-logo':
			if ( is_front_page() && is_home() ) {
				gedung_header_part('header/logo-standard');
			}
			elseif ( is_home() ) {
				gedung_header_part('header/logo-standard');
			}
			elseif ( is_front_page() ) {
				gedung_header_part('header/logos');
			}
			elseif(is_single('post')) {
				gedung_header_part('header/logo-standard');
			}
			elseif(is_singular( 'post' )) {
				gedung_header_part('header/logo-standard');
			}
			elseif('gedung-portfolio' == get_post_type()) {
				gedung_header_part('header/logos');
			}
			elseif( is_page_template() ) {
				gedung_header_part('header/logos');
			}
			elseif( is_page() ) {
				gedung_header_part('header/logos');
			}
			elseif( is_archive() || is_search() || is_404() ) {
				gedung_header_part('header/logo-standard');
			}
			break;
		case 'gedung-menus':
			gedung_header_part('header/menus');
			break;
		case 'gedung-sec-menus':
			gedung_header_part('header/menus-sec');
			break;
		case 'gedung-search':
			gedung_header_part('header/search-btn');
			break;
		}
	}
endif;